package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.RunningMonitoring;
import com.lightinit.hsdataplatform.entity.RunningMonitoringExample;
import java.util.List;

import com.lightinit.hsdataplatform.model.admin.ApiRuningMonitoringModel;
import com.lightinit.hsdataplatform.model.admin.MicroappRuningModel;
import com.lightinit.hsdataplatform.model.admin.UserLogRuningModel;
import org.apache.ibatis.annotations.Param;

public interface RunningMonitoringMapper {
    long countByExample(RunningMonitoringExample example);

    int deleteByExample(RunningMonitoringExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RunningMonitoring record);

    int insertSelective(RunningMonitoring record);

    List<RunningMonitoring> selectByExample(RunningMonitoringExample example);

    RunningMonitoring selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RunningMonitoring record, @Param("example") RunningMonitoringExample example);

    int updateByExample(@Param("record") RunningMonitoring record, @Param("example") RunningMonitoringExample example);

    int updateByPrimaryKeySelective(RunningMonitoring record);

    int updateByPrimaryKey(RunningMonitoring record);

    ApiRuningMonitoringModel queryAPIType();

    MicroappRuningModel queryMicroappType();

    UserLogRuningModel queryUserLogType();
}